#!/bin/bash

echo "Starting SIA Connect Docker"

#This script needs root access. Checking for root
if [ "$EUID" -ne 0 ]
  then echo "Please run the start script as root"
  exit
fi

if [ ! -x "$(command -v docker)" ]; then

  echo "Docker is not installed on host"
  read -p  "Docker is not installed on host. Do you want to install it? (y/n) " install_docker_yn

  case $install_docker_yn in 
  	[yY] ) echo Install Docker;
        apt install -y curl && curl -fsSL https://get.docker.com -o get-docker.sh && \
            sh get-docker.sh
        systemctl start docker 2>/dev/null
  		  ;;
  	[nN] ) echo "Docker is required. Exitting!";
        exit
        ;;
  	* ) echo invalid response: $install_docker_yn;
        exit;;
  esac

fi

docker compose -p sia_connect -f docker-compose.yml --env-file .env --profile debug up -d